Revoke badge from account
This endpoint allows you to revoke a badge from an account
POST
This endpoint allows you to revoke a badge from an account
Loading code example
Loading code example
Authorizations
apiKeyAuthstringheaderrequired
API key passed in the header.
Path Parameters
idstring<uuid>required
UUID of the badge (converted to lowercase)
Body
Body
userIdstring<uuid>UUID of the user (converted to lowercase)
walletAddressstringValidated and formatted wallet address
status"active" | "inactive" | "revoked"Status of the badge
Allowed values:
"active" | "inactive" | "revoked"Response
application/json
200
messagestringrequiredThe message returned upon update of the badge
dataobjectrequireddata.idstring<uuid>requireddata.userIdstring<uuid>requireddata.loyaltyBadgeIdstring<uuid>requireddata.status"active" | "inactive" | "revoked"requiredAllowed values:
"active" | "inactive" | "revoked"